For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList Webhook Logs
      • GETGet Webhook Log Detail
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIWebhook Logs

Get Webhook Log Detail

||View as Markdown|
GET
/logs/:webhook_log_id
GET
/v2/logs/:webhook_log_id
$curl -G https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190 \
> -H "Authorization: Bearer <token>" \
> -d workspace_id=1727192238961x413997613917405200
1{
2 "status": "string",
3 "response": {
4 "webhook_log_id": "123e4567-e89b-12d3-a456-426614174000",
5 "webhook_type": "external_webhook",
6 "webhook_url": "https://api.example.com/webhook",
7 "call_id": "call_123456789",
8 "request_timestamp": {},
9 "attempt_number": 1,
10 "request_headers": {
11 "Content-Type": "application/json",
12 "Authorization": "Bearer token"
13 },
14 "request_payload": {
15 "event": "call.completed",
16 "data": {
17 "call_id": "call_123"
18 }
19 },
20 "status": "success",
21 "model_id": "37dd5a94-4fc8-4989-a2c1-ca761d182ffa",
22 "workspace_id": "1727192238961x413997613917405200",
23 "action_id": "action_123456789",
24 "response_timestamp": {},
25 "response_status_code": 200,
26 "response_payload": {
27 "status": "ok"
28 },
29 "response_headers": {
30 "Content-Type": "application/json"
31 },
32 "duration_ms": 5000,
33 "error_message": "Connection timeout",
34 "request_origin": {
35 "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
36 "x_forwarded_for": "192.168.1.100",
37 "x_real_ip": "203.0.113.45"
38 },
39 "flow_location": {
40 "stage": "2",
41 "stage_name": "discovery"
42 },
43 "request_query_params": {
44 "timezone": "America/New_York",
45 "source": "voice_call"
46 },
47 "response_ttfb_ms": 120,
48 "response_size_total": 1024,
49 "response_size_body": 856
50 }
51}
Retrieve detailed information for a specific webhook log
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_log_idstringRequired

Query parameters

workspace_idstringRequired

Response

Detailed webhook log information
statusstring
responseobject

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error